function getVideoURL() {

    /* Configure variables in this section as needed. */
    var sitename = 'SavefromNets.com';  // Website Name (Shown as Title at top of Extension window)
    var slogan = 'Online Converter and Downloader';  // Slogan (under Website Name)
    var chost = 'http://savefromnets.com';  // Your conversion site's root URL
    var ftypes = {
		// Available file types and options (for corresponding buttons)
		"audio" : {
			"buttonsPerLine" : 2,  // number of buttons per line
			"iconStyle" : "fa fa-music",  // Font Awesome button icon style
			"types" : [
				{ "ftype" : "mp3", "quality" : 128 },
				{ "ftype" : "mp3", "quality" : 256 },
				{ "ftype" : "aac" },
				{ "ftype" : "m4a" }
			]
		},
		"video" : {
			"buttonsPerLine" : 4,  // number of buttons per line
			"iconStyle" : "fa fa-film",  // Font Awesome button icon style
			"types" : [
				{ "ftype" : "mp4" },
				{ "ftype" : "webm" },
				{ "ftype" : "f4v" },
				{ "ftype" : "3gp" }
			]
		}
	};
	var socialButtons = {
		// Social network buttons
		// Add/remove social buttons as needed.
		// If you add/remove anything here, you MUST also add/remove corresponding <span> tags
		// inside "div.social-networks" in popup.html !!
		"facebook" : {
			"url" : "https://www.facebook.com/SavefromNets",  // Your Facebook page
			"style" : "icon icon-facebook-square",  // Font Awesome icon style
			"color" : "#3b5998",  // Color of icon
			"text" : "Like us"  // Share button link text
		},
		"twitter" : {
			"url" : "https://twitter.com/savefromnets",  // Your Twitter page
			"style" : "icon icon-twitter-square",  // Font Awesome icon style
			"color" : "#189AD7",  // Color of icon
			"text" : "Follow us"  // Share button link text
		}
	};
    var sites = {
		// Supported Video Sites
		// Add/Remove sites as needed.
		// "formats" is an array of regular expressions that match the corresponding site's video/audio page URLs
		// "audioOnly" indicates that site content cannot be converted to a video format
		// If you add/remove anything here, you MUST also add/remove corresponding site icons in popup.html
		// and add/remove corresponding example URLs in url_example.html !!
        "facebook" : {
            "formats" : [
                new RegExp(/^(https?:\/\/www\.facebook\.com\/[^\/]+\/videos\/[^\/]+)/)
            ]
        },
        "youtube" : {
            "formats" : [
                new RegExp(/^(https?:\/\/www\.youtube\.com\/watch)/)
            ]
        },
        "vimeo" : {
            "formats" : [
                new RegExp(/^(https?:\/\/vimeo\.com\/[0-9])/)
            ]
        },
        "soundcloud" : {
            "formats" : [
                new RegExp(/^(https?:\/\/soundcloud\.com\/[a-zA-Z0-9\-\_\/])/)
            ],
            "audioOnly" : true
        },
        "dailymotion" : {
            "formats" : [
                new RegExp(/^(https?:\/\/www\.dailymotion\.com\/video)/)
            ]
        },
        "metacafe" : {
            "formats" : [
                new RegExp(/^(https?:\/\/www\.metacafe\.com\/watch\/[0-9])/)
            ]
        },
        "vk" : {
            "formats" : [
                new RegExp(/^(https?:\/\/vk\.com\/video[0-9_-]+)/)
            ]
        },
        "instagram" : {
            "formats" : [
                new RegExp(/^(https?:\/\/instagram\.com\/p)/)
            ]
        },
        "aol" : {
            "formats" : [
                new RegExp(/^(https?:\/\/on\.aol\.com\/video)/)
            ]
        }
    };
	/* End Config */

    // Get Current Tab URL Function
    kango.browser.tabs.getCurrent(function(tab) {
        // tab is KangoBrowserTab object
        var videoURL = tab.getUrl();

        // Open link in new browser tab
        var openInTab = function(link) {
            $(link).click(function(){
                kango.browser.tabs.create({url : $(link).attr("href")});
                return false;
            });
        };

        // Check valid Sites & Create Download Buttons
        var markup = "";
        for (var site in sites)
        {
            for (var i=0; i<sites[site]['formats'].length; i++)
            {
                if (sites[site]['formats'][i].test(videoURL))
                {
                    markup += '<center>';
                    for (var prop in ftypes)
                    {
						if (prop == "video" && typeof sites[site]['audioOnly'] != "undefined") continue;
						markup += '<p class="download-text" style="text-transform:capitalize">' + prop + ':</p> ';
						for (var j=0; j<ftypes[prop]['types'].length; j++)
						{
							var hasQual = typeof ftypes[prop]['types'][j]['quality'] != "undefined";
							markup += '<a class="btn btn-success" href="'+ chost + '/?url=' + videoURL;
							markup += '&ftype=' + ftypes[prop]['types'][j]['ftype'];
							markup += (hasQual) ? '&quality=' + ftypes[prop]['types'][j]['quality'] : '';
							markup += '" style="margin:';
							markup += ((j + 1) > ftypes[prop]['buttonsPerLine']) ? '10' : '0';
							markup += 'px 5px 5px 5px;"><i class="' + ftypes[prop]['iconStyle'] + '"></i> <span style="text-transform:uppercase">' + ftypes[prop]['types'][j]['ftype'] + '</span>';
							markup += (hasQual) ? ' (' + ftypes[prop]['types'][j]['quality'] + ' kbps)' : '';
							markup += '</a> ';
							markup += ((j + 1) % ftypes[prop]['buttonsPerLine'] == 0 || j == ftypes[prop]['types'].length - 1) ? '<br />' : '';
						}
					}
					markup = markup.replace(/(<br \/>)$/, "");
					markup += '</center>';
                    break;
                }
            }
            if (markup != "") break;
        }

        // Output
        $('#sitetitle').html(sitename);
        $('#slogan').html(slogan);
        for (var button in socialButtons)
        {
			$('#social-' + button).html('<i class="' + socialButtons[button]['style'] + '" style="color:' + socialButtons[button]['color'] + '; font-size:20px;"></i> <a href="' + socialButtons[button]['url'] + '"> ' + socialButtons[button]['text'] + '</a>').find("a").each(function(index, elem){openInTab(elem);});
		}
        markup = (markup != "") ? markup : '<div class="alert alert-danger" role="alert"><b>No Video / Audio detected.<br /> Are you on a valid Website?</b></div> <div class="alert alert-info" role="alert"><u>Example:</u><br>https://www.youtube.com/watch?v=XXXXXXXX<br /><a href="url_example.html">Show Full List</a></div>'
        $('#videourl').html(markup).find("a.btn-success").each(function(index, elem){openInTab(elem);});
    });
}

KangoAPI.onReady(function() {
    getVideoURL();
});